com.amazon.redshift.hostchooser

## Class HostChooserFactory

- java.lang.Object
- - com.amazon.redshift.hostchooser.HostChooserFactory

    public class HostChooserFactory
    extends Object

Chooses a `HostChooser` instance based on the number of hosts and properties.

### Constructor Summary

Constructors
Constructor and Description
`HostChooserFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HostChooser` `createHostChooser(HostSpec[] hostSpecs, HostRequirement targetServerType, Properties info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HostChooserFactory

    public HostChooserFactory()

### Method Detail

#### createHostChooser

    public static HostChooser createHostChooser(HostSpec[] hostSpecs,
                                                HostRequirement targetServerType,
                                                Properties info)